Skip to content
Back to top
View this page

# pdf2docx.image.ImageSpan module

Image span based on same raw data structure with Image block.

class pdf2docx.image.ImageSpan.ImageSpan(raw: dict = None)

  Bases: `Image`

  Image span.

  intersects(rect)

    Create new ImageSpan object with image contained in given bbox.

    Args:

      rect (fitz.Rect): Target bbox.

    Returns:

      ImageSpan: A copy of itself if intersects with target; otherwise empty ImageSpan.